| Qore Swagger Module Reference 2.2.3

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Swagger::LicenseObject Class Reference

License information for the exposed API. More...

Inheritance diagram for Swagger::LicenseObject:
[legend]

## Public Member Functions
| constructor (hash< auto > oh)
| Constructor.
Public Member Functions inherited from Swagger::ObjectBase
| constructor ()
| Constructor.
| constructor (hash< auto > oh)
| Constructor.
| constructor (ObjectBase other)
| copy constructor
| initialize (hash< auto > oh)
| Initialize.

## Public Attributes
string | name
| Required. The license name used for the API.
*string | url
| A URL to the license used for the API. MUST be in the format of a URL.
Public Attributes inherited from Swagger::ObjectBase
hash< auto > | vendorExtensions
| Allows extensions to the Swagger Schema.

## Detailed Description

License information for the exposed API.

## Member Function Documentation

## ◆ constructor()

Swagger::LicenseObject::constructor | ( | hash< auto > | oh | ) |

Constructor.

Parameters

  oh | deserialized hash from the source schema description providing license information about the API

Exceptions

  INVALID-FIELD-TYPE | field has invalid type
  REQUIRED-FIELD-MISSING | required field is missing